<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Complex Type Web Service Call Sample</title>
    <script language="javascript">
		var empArray = new Array();
		
		function addEmployee()
		{
			var emp = new Object();
			emp.Name = $('empName').value;
			emp.Age = parseInt($("empAge").value, 10);
			
			empArray.push(emp);
			updateSource();
		}
		
		function updateSource()
		{
			var html = "";
			
			for (var i = 0; i < empArray.length; i++)
			{
				var emp = empArray[i];
				html += ((i + 1) + ". " + emp.Name + ", " + emp.Age + " years old.<br />")
			}
			
			$("employees").innerHTML = html;
		}
		
		function sort()
		{
			var params = { "companyName" : $("companyName").value, "employees" : empArray };
			var method = new Sys.Net.ServiceMethod("ComplexTypeWS.asmx", "Sort", null);
			
			method.invoke(params, onMethodComplete);
		}
		
		function onMethodComplete(company, response, userContext)
		{
			var html = "Company Name: " + company.Name;
			for (var i = 0; i < company.Employees.length; i++)
			{
				var emp = company.Employees[i];
				html += ("<br />" + (i + 1) + ". " + emp.Name + ", " + emp.Age + " years old.")
			}
			
			$("sortedDisplay").innerHTML = html;
			
			empArray.length = 0;
			updateSource();
		}
    </script>
</head>
<body style="font-family:Verdana; font-size: 14px;">
    <form id="form1" runat="server">
		<atlas:ScriptManager runat="server" ID="ScriptManager1" />
		
		<div>Employees:</div>
		<div id="employees"></div>
		<hr />
		<div>Add Employee:</div>
		<div>Name: <input type="text" id="empName" /></div>
		<div>Age: <input type="text" id="empAge" /></div>
		<input type="button" value="Add employee" onclick="addEmployee()" /><br />
		<hr />
		<div>Company Name:<input type="text" id="companyName" /></div>
		<input type="button" value="Sort!" onclick="sort()" /><br />
		<hr />
		<div id="sortedDisplay"></div>		
    </form>
</body>
</html>
