<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Xml Response Sample</title>
    <script language="javascript">
		var empArray = new Array();
		
		function addEmployee()
		{
			var emp = new Object();
			emp.Name = $('empName').value;
			emp.Age = parseInt($("empAge").value, 10);
			
			empArray.push(emp);
			updateSource();
		}
		
		function updateSource()
		{
			var html = "";
			
			for (var i = 0; i < empArray.length; i++)
			{
				var emp = empArray[i];
				html += ((i + 1) + ". " + emp.Name + ", " + emp.Age + " years old.<br />")
			}
			
			$("employees").innerHTML = html;
		}
		
		function serialize()
		{
			var company = new Object();
			company.Name = $("companyName").value;
			company.Employees = empArray;
			
			var params = { "company" : company }
			var method = new Sys.Net.ServiceMethod("ComplexTypeWS.asmx", "GetXmlSerializedCompany", null);
			
			method.invoke(params, onMethodComplete);
		}
		
		function onMethodComplete(resultXml, response, userContext)
		{
			$("xmlDisplay").control.set_document(resultXml);
			
			empArray.length = 0;
			updateSource();
		}
    </script>
</head>
<body style="font-family:Verdana; font-size: 14px;">
	<atlas:ScriptManager ID="ScriptManager1" runat="server" />
	
    <form id="form1" runat="server">
		
		<div>Employees:</div>
		<div id="employees"></div>
		<hr />
		<div>Add Employee:</div>
		<div>Name: <input type="text" id="empName" /></div>
		<div>Age: <input type="text" id="empAge" /></div>
		<input type="button" value="Add employee" onclick="addEmployee()" /><br />
		<hr />
		<div>Company Name:<input type="text" id="companyName" /></div>
		<input type="button" value="Serialize!" onclick="serialize()" /><br />
		<hr />
		<div id="xmlDisplay"></div>
    </form>
    
    <script type="text/xml-script">
		<page>
			<components>
				<xmlDataSource id="xsltSource" autoLoad="true" serviceURL="Company.xsl" />
				<xsltView id="xmlDisplay">
					<bindings>
						<binding property="transform" dataContext="xsltSource" dataPath="document" />
					</bindings>
				</xsltView>
			</components>
		</page>
    </script>
</body>
</html>
